import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';


export interface Alert {
  created: string;
  msg: string;

}

export interface MetricAlert extends Alert {
  status: string;
}

export interface SystemAlert extends Alert {
  status?: string; // test
}

@Component({
  selector: 'of-pages-alert',
  templateUrl: './alert-page.component.html',
})
export class AlertPageComponent implements OnInit {

  metricAlerts: MetricAlert[] = exampleAlerts;
  systemAlerts: SystemAlert[] = exampleSystemAlerts;

 bgMap: Map<string, string> = new Map();

  constructor(private route: ActivatedRoute, private router: Router) {
  }

  ngOnInit() {
    this.bgMap.set('Warn', '#ffc107');
    this.bgMap.set('Error', '#f30000');
    this.bgMap.set('Down', '#607D8B');
  }

}

const exampleSystemAlerts = [
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
  {
    created: '2018-04-19',
    msg: 'Geek 님이 새로운 Probe를 설치했습니다.',
  },
];


const exampleAlerts = [
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Warn'
  },
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Down'
  },
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Error'
  },
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Warn'
  },
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Warn'
  },
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Warn'
  },
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Warn'
  },
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Warn'
  },
  {
    created: '2018-04-19',
    msg: 'Host 192.168.1.106 disk < 5%',
    status: 'Warn'
  }
];
